Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 02 Aug 2014, 05:05
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Business
Gnucash 2.22 alpha1
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [12 Posts]  
Author Message
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Wed 27 May 2009, 21:18    Post subject:  Gnucash 2.22 alpha1
Subject description: SFS ready to be tested
 

G'day,
INSTALLING GNUCASH V. 2.22

This will currently only work in Series 4 Puppy. I am currently unable to get it to work on Series 2 & 3.

Tested on a clean install of Puppy 4.1.2.

Needs to be tested but minimum hardware would have to be 128mbs and 500mhz P4 - the

OK- from here you can do all the steps listed below or you can install the SFS file for Gnucash: (warning it is quite large at 55mbs)
Download from here:
http://www.mediafire.com/download.php?omnwmwxyyf2
MD5
http://www.mediafire.com/download.php?m1gylnyll2j

Install Kirk's Dingo-Xrg-DRI.pet.
Download from here
http://www.mediafire.com/download.php?mxmfqijgm4y

If you've installed the above sfs module you do not need to do the following steps.

Step #1 - Install WoW's gnome-2.20 sfs from here:

http://www.murga-linux.com/puppy/viewtopic.php?t=27864

Please note you don't need to have the Gnome WM working to use Gnucash - you can stay in JWM. Gnucash does need the DRI modules installed.

Step #2 - Install Guile-1.6.8-i486.pet

Download:
http://www.mediafire.com/download.php?ymm3nmykmid

Step #3 - Install slib.pet

Download:
http://www.mediafire.com/download.php?yjrzyg3bwmy

Run the following command at the Linux prompt:

Step #4 - Configure Guile
This had to be done after installing SLib [above]. You will need to run the following commands:

# cd /usr/local/share/guile/1.6
# guile -l /usr/local/share/guile/1.6/slib/guile.init (running as root)

At the guile> prompt type the following commands:

# (require 'new-catalog)
# (exit)

Not sure of the necessityto install packages in order but this worked.

Step #5 - Install g-Wrap-1.3.4-i486.pet

Download:
http://www.mediafire.com/download.php?5md2zxzwjth

Step #6 - Install libGnomecups-0.2.2-i486.pet

Download:
http://www.mediafire.com/download.php?3nrwmgmizmz

Step #7 - Install libgnomeprint-2.18.0-i486.pet

Download:
http://www.mediafire.com/download.php?gju23tjmtwo

Step #8 - Install goffice-0.5.1.pet - this may affect Abiword and Gnumeric

Download:
http://www.mediafire.com/download.php?dljf4qgdhez

Step #9 - Install ORBit2 2.14.7-i486.pet

Download:
http://www.mediafire.com/download.php?rrkzjzryh3i

Step #10 - Install GConf-2.18.0.1-i486.pet

Download:
http://www.mediafire.com/download.php?0hmnyzjtzmy

Step #11 - Install gnome-keyring-0.8.1-i486.pet

Download:
http://www.mediafire.com/download.php?dzlo1dhjlmz

Step #12 - Install gnome-mime-data-2.4.3-i486.pet

Download:
http://www.mediafire.com/download.php?ee2inzg3jm0

Step #13 - Install gnome-vfs-2.18.1-i486.pet

Download:
http://www.mediafire.com/download.php?n421vqmzcz4

Step #14 - Install libbonobo-2.18.0-i486.pet

Download:
http://www.mediafire.com/download.php?yqwzjh2ijny

Step #15 - Install libgnomecanvas-2.14.0-i486.pet

Download:
http://www.mediafire.com/download.php?mjyxjznqdjd

Step #16 - Install libgnome-2.18.0-i486.pet

Download:
http://www.mediafire.com/download.php?5gyigwoiknu

Step #17 - Install libbonoboui-2.18.0-i486.pet

Download:
http://www.mediafire.com/download.php?tmmtth3nido

Step #18 - Install libgnomeui-2.18.1-i486.pet

Download:
http://www.mediafire.com/download.php?d0nzzeb2yr3

Step #19 - Install gail-1.18.0-i486.pet

http://www.mediafire.com/download.php?twdmiezwjen

Step #20 - Install gtkhtml-3.15.5-i486.pet

Download:
http://www.mediafire.com/download.php?yizmzczmzzj

Step #21 - Install gnucash-2.2.2-i486.pet

Download:
http://www.mediafire.com/download.php?jbrudecddne

Step #22 - Start GNUCash - Terminal - gnucash

Some of these pets have been made previous but was unsure which version it had been compiled for, so I started from scratch.

This installation still needs plenty of testing, so I would like any feedback from people using this Gnucash.

I would like to thank WOW for his Gnome sfs.

Now it would be much more user friendly if this had its own sfs

Cheers
Martin
Note: first time I've linked to Mediafire so I hope the links work.

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux

Last edited by legendofthor on Thu 28 May 2009, 21:53; edited 3 times in total
Back to top
View user's profile Send private message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Wed 27 May 2009, 23:22    Post subject:  

Okies,
Have a stable and permanent install on newyearspup-micro - works well despite being kernel 2.6.28.5. The installation of the Gnome sfs has not interfered with the other WMs on MUs distro - I'm still using Openbox.
As I'm using this for my business transactions and personal finance it should get a good workout. Any updates I will post here.

To do list:
1. Make a squashfile of Gnucash.
2. Update to new version of Gnucash
3. Work out compiling issues for gtkhtml

Cheers
Martin
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Wed 27 May 2009, 23:30    Post subject:  

or you could forget all the gnome stuff, Install java and then install the java version of Gnucash
http://apps.sourceforge.net/mediawiki/jgnash/index.php?title=Main_Page
I guess all it needs is java, would make it a lot smaller and easier to install.

ttuuxxx

java -jar jgnash_bin.jar

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Thu 28 May 2009, 02:38    Post subject:  

hey ttuuxxx,
yes I've looked at jgnash but then I'd have to learn a new way of doing my accounting, which I don't have the time or the inclination. Guess I have been using Gnucash for a few years since latching onto it from my Ubuntu days, so I'm use to it.
An,d Gnucash has been the most prominant Accounting Software from Linux so the majority of business users using accounting software would be using Gnucash. Maybe they, like me, don't particularly want to learn a new accounting programme as, generally speaking, we HATE accounting. hehe.
If I had known about jgnash from the beginning; yes I may have checked it out.

This dog doesnt' want to learn new accounting tricks.

Cheers
Martin

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 28 May 2009, 03:07    Post subject:  

Hey legendofthor I don't blame you at all, I took accounting in college for about 6 months and decided that not for me, lol I really don't like accounting, but I did see your thread and it looked like it was a difficult task at best to get up and running properly, And I knew about the java version for well over a year, never used either by the way, so I put 2&2 together and tried to help.
It would be nice if you made a sfs all-in-one package of Gnucash so that other might enjoy that famous application Smile
any other gnome related small business software that might be a addon to it ? maybe
http://live.gnome.org/GnomeOffice
or planner
http://packages.debian.org/etch/planner
etc
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Thu 28 May 2009, 18:54    Post subject:  

G'day,
back again....
was able to compile gtkhtml3.15 - 3.14 had a compilation bug which made it very frustrating - there was a bugfix but they did not tell me where to put it - and after looking was unable to deduce where to put it. (inexperience). The Gnucash dependency list says gtkhtml 3 - so it satisfies the dependency. In some way it was fun but others frustrating (it took 2 hrs) - it's detective work.
Here it is:
http://www.mediafire.com/download.php?yizmzczmzzj

and I've repackaged g-wrap - an unnecessary folder pops up - sry for the untidiness.
Here it is: http://www.mediafire.com/download.php?5md2zxzwjth

Oh, this version of goffice will make gnumeric inoperable, abiword is fine - looking into a work around for that.

I will edit the original post with the new urls. Next task is building a Gnucash sfs.

Cheers
Martin
Back to top
View user's profile Send private message 
legendofthor

Joined: 17 May 2007
Posts: 219
Location: Queensland Australia

PostPosted: Thu 28 May 2009, 21:22    Post subject:
Subject description: SFS ready to install and test.
 

G'day,
created a sfs for Gnucash 2.2.2 - modified my first post for the download links.

Changes:
Included a stripped down version of Gnome - so the Gnome won't work as a Windows Manager (also it shouldn't affect other WMS - to be tested) - use Gnucash in whatever WM your using.
No Guile configuration required - already done.
Just change the _301 to whatever version your using (I used my main install, which is 301, to make the sfs).
This is untested on earlier versions of Puppy - but as with the Pet Packages probably won't work - it's compiled for the 4 series.
I've added a link for Kirk's Dingo DRI - for convenient's sake i've added it to my repository for download (hope that's ok with you Kirk) - as this install still needs DRI.
You don't need to install the DRI if you've installed a Graphics Card Driver.

Worked on a clean install of 4.1.2 full HD install - will make instructions for people who don't know how to install a squashfile on a full HD install

I hope my first foray into pet and sfs creation works ok.

Need feedback for fine tuning and modifications.

Great idea ttuuxxx - may create a business accounting suite. But I've been sitting on my arse a little too much - back is hurting and I need to see the inside of the Gym again - will get to it in the near future.

Cheers
Martin

_________________
Toowoomba Linux Users Group http://groups.google.com/group/toowoombalinux
Back to top
View user's profile Send private message 
toomuchcomputertime


Joined: 18 Apr 2008
Posts: 171
Location: /usr/local/lib/X11/pixmaps/Cleveland\ OH\ USA.png

PostPosted: Fri 16 Apr 2010, 10:26    Post subject:  

I can't run (require 'new-catalog) for slib. It give me errors every time. Any ideas? I don't have it in front of me, but it was something about the wrong context.

Thanks.
Back to top
View user's profile Send private message 
toomuchcomputertime


Joined: 18 Apr 2008
Posts: 171
Location: /usr/local/lib/X11/pixmaps/Cleveland\ OH\ USA.png

PostPosted: Fri 16 Apr 2010, 12:57    Post subject:  

I tried your sfs on Puppy Lucid, but it did not work. I have a pet that does not cause problems to the OS, but won't run. I have been wrecking my save files, so I finally made a compile file...

If anyone has Gnucash working on Puppy Lucid, please post a link.

Thanks.
Back to top
View user's profile Send private message 
toomuchcomputertime


Joined: 18 Apr 2008
Posts: 171
Location: /usr/local/lib/X11/pixmaps/Cleveland\ OH\ USA.png

PostPosted: Sat 17 Apr 2010, 18:31    Post subject:  

Ok, I have gnucash working with just your sfs. However, it only works on puppy 4.31, on Puppy Lupu (were all my files are) it crashes after my file is open when I try to select an account.

It displays an error saying to please install bug-buddy, the gnome bug tracing tool. Any ideas?

Thanks.
Back to top
View user's profile Send private message 
toowoombalinux

Joined: 15 Feb 2010
Posts: 95

PostPosted: Sun 18 Apr 2010, 01:20    Post subject:  

G'day,
I have no idea about how it works on Puppy 4.3.1 - I can only go on what worked for me and that was in Puppy 4.1.2 (will get around to trying again on a fresh install of Puppy 4.1.2.
Your in new territory as I'm a bit of old tech junkie and haven't looked at the newer versions.
Cheers
Martin

_________________
Toowoomba Linux Community
http://groups.google.com/group/toowoombalinux
Puppy Linux 301 - KDE 3.5.8
Back to top
View user's profile Send private message 
Jerko
Guest


PostPosted: Tue 07 Sep 2010, 01:16    Post subject:  

Gnucash can track finances in multiple accounts, keeping running and reconciled balances. It has an X based graphical user interface, double entry, a hierarchy of accounts, expense accounts (categories), and can import Quicken QIF files and OFX files.
Back to top
Display posts from previous:   Sort by:   
Page 1 of 1 [12 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Business
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0808s ][ Queries: 11 (0.0032s) ][ GZIP on ]